Bug 517462

Summary: Review Request: voicedata-zh_TW-gcin-EdwardLiu - Chinese voice data from gcin project
Product: [Fedora] Fedora Reporter: Ding-Yi Chen <dchen>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, msuchy, notting, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: NotReady
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-19 05:55:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Ding-Yi Chen 2009-08-14 03:56:15 EDT
Spec URL: http://dchen.fedorapeople.org/files/rpms/voicedata-zh_TW-gcin-EdwardLiu.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/voicedata-zh_TW-gcin-EdwardLiu-20090221-1.fc11.src.rpm
Description: This voice data records voice of Edward Der-Hua Liu, the gcin's author, for enabling "speak-as-you-type" functionality of gcin.

Although this package is from gcin and for gcin mainly, I intend to extend its usage so other package can also use it. Thus this package does not depend on gcin. 

This package is actually a piece of whole voice data collection, so it does not own %{datadir}/voicedata/zh_TW/gcin at the moment.
Comment 2 Ruediger Landmann 2011-01-21 01:43:16 EST
Looks pretty good apart from two issues noted below:

Version of SRPM reviewed:

- = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

 [/] Rpmlint output is clean:
$ rpmlint SPECS/voicedata-zh_TW-gcin-EdwardLiu.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/voicedata-zh_TW-gcin-EdwardLiu-20090221-3.fc14.src.rpm
voicedata-zh_TW-gcin-EdwardLiu.src: I: enchant-dictionary-not-found zh_TW
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/rlandmann/rpmbuild/RPMS/noarch/voicedata-zh_TW-gcin-EdwardLiu-20090221-3.fc14.noarch.rpm
voicedata-zh_TW-gcin-EdwardLiu.noarch: I: enchant-dictionary-not-found zh_TW
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [/] Package is named according to the Package Naming Guidelines.
Comment: name is unconventional, but appears to meet the general guidelines and the proposed guideline for CommonVoiceData. The name of the upstream tarball isn't useful in this case. 
 [/] Spec file name must match the base package %{name}, in the format
 [/] Package meets the Packaging Guidelines including the Language specific
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.

 [!] License field in the package spec file matches the actual license.

The upstream project page simply says "GNU GPL3"
The creator of the data, eliu, agrees to release the data under GPL3 http://hyperrate.com/thread.php?tid=12976

The license field in the spec file correctly states "GPLv3"

But the %description field contradicts this: "The voice data is now released under GPLv3+."

Since we don't need to have that in the %description at all, please just delete that line from the %description.

 [/] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.

$ md5sum SOURCES/ogg-gpl3-20090221.tar.gz 
d9b7089365114bb369a64673f0320071  SOURCES/ogg-gpl3-20090221.tar.gz
$ md5sum ~/Download/ogg-gpl3-20090221.tar.gz 
d9b7089365114bb369a64673f0320071  /home/rlandmann/Download/ogg-gpl3-20090221.tar.gz

 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2734359
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [-] Package does not bundle copies of system libraries
 [-] Package is not relocatable.

 [!] Package must own all directories that it creates.

What owns /usr/share/voicedata/ ?

 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8
Comment 3 Jason Tibbitts 2011-01-21 09:48:16 EST
Honestly I think the scriptlets are a bit odd.  We said as much when a draft guidelines was submitted trying to codify the stuff used in this package, but nothing seems to have happened with that draft.  I would not approve this package in its current state.
Comment 4 Ruediger Landmann 2011-01-23 17:31:28 EST
(In reply to comment #3)
> Honestly I think the scriptlets are a bit odd.  We said as much when a draft
> guidelines was submitted trying to codify the stuff used in this package, but
> nothing seems to have happened with that draft.  I would not approve this
> package in its current state.

Thanks Jason -- do you recall where that discussion took place? I'm only finding the proposal on the Internationalization list, where it appears to have gone without comment.

In any case, I guess that in its current form it would need a voicedata-common package to own the directory structure -- the "voice data main package" mentioned in %post.
Comment 5 Jason Tibbitts 2011-01-24 17:42:51 EST
It was brought before the packaging committee quite some time ago.  We had questions and suggestions but nobody ever answered them.  This review's been sitting around ever since.
Comment 6 Ruediger Landmann 2011-01-25 01:32:37 EST
Thanks; that was enough for me to find the relevant discussion; noting it here for future reference:



In light of those discussions, I'll leave this where it lies and mark it NotReady on the whiteboard until there's more movement on the issues discussed in those logs.
Comment 7 Miroslav Suchý 2012-12-16 07:53:25 EST
Ping? Any progress here? Or we can close this review?
Comment 8 Miroslav Suchý 2013-02-19 05:55:59 EST
Stalled Review. Closing per:
If you ever want to continue with this review, please reopen or
submit new review.